Summary: Bredbandskollen CLI
Name: bbk_cli
Version: 1.0
Release: 8%{?dist}
License: GPLv2+
URL: http://www.bredbandskollen.se/en/bredbandskollen-cli/
# https://github.com/dotse/bbk
# git clone https://github.com/dotse/bbk
Source0: bbk-%{version}.tar.gz
Source1: https://frontend.bredbandskollen.se/download/README.txt
Patch0: 0001-needs-the-cstdint-header.patch
BuildRequires: automake gcc-c++ gnutls-devel

%description
Bredbandskollen is a consumer tool that helps broadband customers evaluate
their broadband Internet connection. By using Bredbandskollen the consumer
gets a test result which is then evaluated. Feedback is given on how well this
result is consistent with the expected capacity of the Internet connection as
promised by the service provider.

Bredbandskollen is a registered trademark of IIS
(The Internet Foundation in Sweden).

%prep

%setup -q -n bbk-%{version}
%patch0 -p1
cp %{SOURCE1} README

%build
make %{?_smp_mflags} -C src/cli CXXFLAGS="%{optflags} -std=c++11" GNUTLS=1

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 src/cli/cli %{buildroot}%{_bindir}/bbk_cli

%files
%doc src/COPYING src/LICENSE README
%{_bindir}/bbk_cli

%changelog
* Sat Jun 22 2024 Oden Eriksson <oe@nux.se> - 1.0-8
- rebuilt for fc40 (really...)

* Sat Jun 22 2024 Oden Eriksson <oe@nux.se> - 1.0-7
- rebuilt for fc40

* Tue Dec 26 2023 Oden Eriksson <oe@nux.se> - 1.0-6
- rebuilt for fc39 (really...)

* Tue Dec 26 2023 Oden Eriksson <oe@nux.se> - 1.0-5
- rebuilt for fc39

* Fri Aug 04 2023 Oden Eriksson <oe@nux.se> - 1.0-4
- rebuild

* Fri Aug 04 2023 Oden Eriksson <oe@nux.se> - 1.0-3
- rebuild

* Fri Aug 04 2023 Oden Eriksson <oe@nux.se> - 1.0-2
- P0: fix build

* Sun Jul 18 2021 Oden Eriksson <oe@nux.se> - 1.0-2
- new code
- enable ssl

* Thu Mar 28 2019 Oden Eriksson <oe@nux.se> - 1.0-1
- initial package
